> For the complete documentation index, see [llms.txt](https://docs.verio.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verio.network/verio/staking-on-ip-assets/lockup.md).

# Lockup

## Re-Staking Lockup Durations and Multipliers

Much like the staking functionality of Story, Verio offers several lockup options for re-staking on IP assets. Similarly, reward distribution is determined by the multiplier associated with the lockup selected when staking.\
\
At the time of writing, the lockup options are as follows:

| Name    | Duration | Multiplier |
| ------- | -------- | ---------- |
| Instant | 0 days   | 1.0x       |
| Short   | 30 days  | 2.0x       |
| Long    | 90 days  | 4.0x       |

## Unstaking With Lockups

Users may still unstake during a lockup period. However, they will be charged a *rage quit* fee equal to the base unstake fee (0.1% at the time of writing), multiplied by the lockup multiplier.&#x20;

The unstake fee can be calculated using the following formula:

$$\[ \text{Unstake Fee} = \text{staked\_amount} \times \text{lockup\_multiplier} \times \text{base\_unstake\_fee\_rate} ]$$

Where:

* `staked_amount` is the amount of tokens staked.
* `lockup_multiplier` is a multiplier based on the lockup period.
* `base_unstake_fee_rate` is the base percentage fee applied when unstaking.

For example, if a user re-stakes 100 **vIP** in the *Long* duration, and unstakes early, they would be charged a 0.4 **vIP** fee (assuming the current base fee of 0.1%).

$$
100 \* 4 \* 0.001 = 0.4
$$


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verio.network/verio/staking-on-ip-assets/lockup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
